V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
adfs
V2EX  ›  Kubernetes

你们生产环境 k8s 的版本是多少

  •  
  •   adfs · 35 天前 · 2711 次点击
    这是一个创建于 35 天前的主题,其中的信息可能已经有所发展或是发生改变。

    用 1.20 和 1.24 会不会太旧了

    24 条回复    2024-05-21 09:27:13 +08:00
    hez2010
        1
    hez2010  
       35 天前
    1.24 还是太旧了,我这里用 1.29 。
    k8s 经常会有 API 响应的破坏性变更,如果你用的版本太老了会导致一大堆操作 k8s 相关的库失效,因为他们没法解析新版本 k8s api 的响应里的 json 。
    hancai2
        2
    hancai2  
       35 天前
    1.12 和 1.24 , 很多新特性都用不到,生产环境不想升级。
    winson030
        3
    winson030  
       35 天前 via iPhone
    最近生产已经上 1.28
    Bromine0x23
        4
    Bromine0x23  
       35 天前
    被智子锁死到了 1.18.8
    myarsenal
        5
    myarsenal  
       35 天前
    主要是 1.24 ,以及更老的 1.20
    Jeremial
        6
    Jeremial  
       35 天前
    记不清之前是滴滴还是哪个公司了,因为 k8s 升级导致服务挂了挺长时间
    chenqh
        7
    chenqh  
       35 天前   ❤️ 1
    @Jeremial 就是滴滴
    holulu
        8
    holulu  
       35 天前
    云上托管的 1.27 ,下个月得升了,过了 2024-06-28 得加钱。
    drymonfidelia
        9
    drymonfidelia  
       34 天前
    1.12 全是屎山,没人敢动 我前天想修复一个公司老屎山 class 名称的一个 typo ( default 被拼成了 defaault ,看着难受),全局替换完好几个页面完全崩了,所有按钮变得巨大用户无法操作,才知道原来 default 的拼写对应另外一个完全不同的全局样式,再也不敢没事乱动了
    sinycn1
        10
    sinycn1  
       34 天前
    我部门的原则是低 2 个版本,比如现在 1.30 发布了,那我们的集群就会升级到 1.28
    sinycn1
        11
    sinycn1  
       34 天前
    @holulu 是 EKS 把
    dyv9
        12
    dyv9  
       34 天前 via Android
    @drymonfidelia 关键字嘛,要谨慎。外国人会写成 dephault ,符合英文构词法,读音也对应。
    salmon5
        13
    salmon5  
       34 天前   ❤️ 1
    @holulu #8 加钱那必须是 AW$的 EK$了
    w292614191
        14
    w292614191  
       34 天前
    K8S 真有这么好用么?要多大规模的项目才需要?
    defunct9
        15
    defunct9  
       34 天前
    1.11.5 ,这个版本应该是贴子中最老的了吧。根本没法动
    Lee2019
        16
    Lee2019  
       34 天前
    1.28.6
    GraviPouring
        17
    GraviPouring  
       34 天前
    1.24 都老了,我这 1.18 岂不是快入土了
    ExplodingFKL
        18
    ExplodingFKL  
       33 天前
    1.26.6 ,没有漏洞扫描的人出报告就不管
    hotsymbol
        19
    hotsymbol  
       33 天前
    生产环境 1.16 , 测试环境 1.30
    weite
        20
    weite  
       33 天前
    1.17.9
    snuglove
        21
    snuglove  
       25 天前
    @sinycn1 规模大吗。。不会出问题的吗 toc 的
    sinycn1
        22
    sinycn1  
       25 天前
    @snuglove 我们目前是 30 个 node 每个 node 16vcpu 64G 内存,一直很稳定
    yyttrr
        23
    yyttrr  
       13 天前   ❤️ 1
    生产集群从 1.20 升级到 1.26 了,不敢升级,本地新建再迁移搞到
    zx900930
        24
    zx900930  
       5 天前   ❤️ 1
    Prod v1.23.15
    曾经手动迁移 master 到新的 IDC 不同的 hyperviser 底下,整整花了 3 天 3 夜,大大小小一堆坑。
    关于   ·   帮助文档   ·   博客   ·   API   ·   FAQ   ·   实用小工具   ·   2369 人在线   最高记录 6679   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 26ms · UTC 03:33 · PVG 11:33 · LAX 20:33 · JFK 23:33
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.